export default function getListenerIdFromBusinessCode (businessCode) {
  switch (businessCode) {
	  case 'PROCUREMENT-ORDER-APPROVE':
	  return 'procurementOrderListener'
	  case 'INOUTTASK-TASK-APPROVE':
	  return 'inOutWharehoseTaskListener'
	  case 'PROCUREMENT-CLOSE-REPORT':
	    return 'purchaseClosingReportListener'
    case 'PROCUREMENT-RECEIPT-REPORT':
	    return 'purchaseReceiptReportListener'
    case 'SALE-ORDER-APPROVE':
		  return 'saleOrderListener'
    case 'SALE-CLOSE-REPORT':
      return 'saleCloseReportListener'
    case 'SALE-RECEIPT-REPORT':
      return 'saleOutReportListener'
      case 'TRANSPORTATION-SETTLEMENT-REPORT':
        return 'tranSettlementReportListener'
    case 'PROCUREMENT-PRICE-APPROVE':
      return 'acquisitionListener'
    case 'PAYMENT-MANAGEMENT-APPROVE':
      return 'acquisitionPayListener'
    case 'STOCK-PROCUREMENT-RECEIPT-REPORT':
      return 'goodsPurchaseReceiptReportListener'
    case 'BUY-CONTRACT-APPROVE':
      return 'buyContractListener'
    case 'SALE-CONTRACT-APPROVE':
      return 'saleContractListener'
          // 贸易服务
    case 'TRADE-WAREHOUSE-REPORT':
      return 'tradeServicesListener'
    case 'DAISHOU-CONTRACT-APPROVE':
      return 'dsContractListener'
    case 'COLLECTION-WAREHOUSING-RECORD':
      return 'dsContractListListener'
    case 'DAICHU-CONTRACT-APPROVE':
      return 'dcContractListener'
    case 'NON-CONTRACT-APPROVE':
      return 'contractCostInfoListener'
    case 'EX-CONTRACT-APPROVE':
      return 'nonContractExpensesListener'
    case 'WAREHOUSING-ORDER-APPROVE':
      return 'warehousingOrderListener'
      // 费用管理
    // case 'EXPENSE_DETAILS_MANG':
    //   return 'exepenseInfoListener'
    // case 'EXPENSE_DETAILS_MANG':
    //   return 'exepenseListener'
    case 'FEIYONGGUANLI-APPROVE':
      return 'exepenseListener'
    case 'WAREHOUSING-DEBIT-APPROVE':
      return 'warehousingDebitListener'
    case 'QINGJIA-APPROVE':
      return 'qingjiaListener'
    case 'BUKA-APPROVE':
      return 'bukaListener'
    case 'SHOU-CONTRACT-APPROVE':
      return 'shouContractListener'
    case 'JIAYOU-SHENHE-APPROVE':
      return 'fuelFingListener'
    case 'YUNJIA-TRAN-APPROVE':
      return 'tranProessListener'
    case 'GENERAL-AUDIT-APPROVE':
      return 'generalAuditInfoListener'
    case 'FEIYONGYUNFEI-APPROVE':
      return 'exepenseYunListener'
    case 'WAREHOUSING-XSZY-APPROVE':
      return 'salesTransferInfoListener'
    // case 'FEE_DETAILS_DETAILS':
    //   return 'feeDetailsFenListener'
    // case ' FEE_DETAILS_SHOU':
    //   return 'feeDetailsShouListener'
    default:
      return null;

  }
}
